Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal
Interface DisplayView

All Known Implementing Classes:
  DisplayAWT, DisplaySwing

public interface DisplayView

Field Summary
`static int` | `COLOR_BLACK`
`static int` | `COLOR_BLUE`
`static int` | `COLOR_CYAN`
`static int` | `COLOR_GREEN`
`static int` | `COLOR_I_BLACK`
`static int` | `COLOR_I_BLUE`
`static int` | `COLOR_I_CYAN`
`static int` | `COLOR_I_GREEN`
`static int` | `COLOR_I_MAGENTA`
`static int` | `COLOR_I_RED`
`static int` | `COLOR_I_WHITE`
`static int` | `COLOR_I_YELLOW`
`static int` | `COLOR_MAGENTA`
`static int` | `COLOR_RED`
`static int` | `COLOR_WHITE`
`static int` | `COLOR_YELLOW`
`static java.lang.String[]` | `termColorNames`
`static java.awt.Color[]` | `termColors`

Method Summary
`void` | `delKeyListener(java.awt.event.KeyListener keyListener)`
`void` | `doBell()`
`void` | `doBell(boolean visualBell)`
`void` | `emulateComponentShown()`
`java.awt.Component` | `getAWTComponent()`
`java.awt.Image` | `getLogo()`
`DisplayModel` | `getModel()`
`java.awt.Container` | `getPanelWithScrollbar(java.lang.String scrollPos)`
`void` | `hideLogo()`
`boolean` | `isWide(char c)` Check if the give character is wider than normal for the font.
`java.awt.Component` | `mkButton(java.lang.String label, java.lang.String cmd, java.awt.event.ActionListener listener)`
`void` | `moveScrollbar(java.lang.String scrollPos)`
`void` | `repaint()`
`void` | `repaint(boolean force)`
`void` | `requestFocus()`
`void` | `resetSelection()`
`void` | `reverseColors()`
`void` | `setBackgroundColor(java.awt.Color c)`
`void` | `setController(com.mindbright.terminal.DisplayController controller)`
`void` | `setCursorColor(java.awt.Color c)`
`void` | `setCursorPosition(int row, int col)`
`void` | `setFont(java.lang.String name, int size)`
`void` | `setForegroundColor(java.awt.Color c)`
`void` | `setGeometry(int row, int col)`
`void` | `setIgnoreClose()`
`void` | `setKeyListener(java.awt.event.KeyListener keyListener)`
`void` | `setLineSpaceDelta(int delta)`
`void` | `setLogo(java.awt.Image logoImg, int x, int y, int w, int h)`
`void` | `setModel(DisplayModel model)`
`void` | `setNoCursor()`
`void` | `setPendingVisTopChange(int visTop)`
`void` | `setPosition(int xPos, int yPos)`
`void` | `setSelection(int row1, int col1, int row2, int col2)`
`void` | `setVisTop(int visTop)`
`void` | `setVisTop(int visTop, boolean force)`
`void` | `setVisTopChangeAllowed(boolean set)`
`void` | `setVisTopDelta(int delta)`
`void` | `setVisTopDelta(int delta, boolean force)`
`boolean` | `showLogo()`
`void` | `updateDirtyArea(int top, int left, int bottom, int right)`
`void` | `updateScrollbarValues()`
`void` | `windowClosed()`

Field Detail

### COLOR_BLACK

    public static final int COLOR_BLACK

See Also:
  Constant Field Values

### COLOR_RED

    public static final int COLOR_RED

See Also:
  Constant Field Values

### COLOR_GREEN

    public static final int COLOR_GREEN

See Also:
  Constant Field Values

### COLOR_YELLOW

    public static final int COLOR_YELLOW

See Also:
  Constant Field Values

### COLOR_BLUE

    public static final int COLOR_BLUE

See Also:
  Constant Field Values

### COLOR_MAGENTA

    public static final int COLOR_MAGENTA

See Also:
  Constant Field Values

### COLOR_CYAN

    public static final int COLOR_CYAN

See Also:
  Constant Field Values

### COLOR_WHITE

    public static final int COLOR_WHITE

See Also:
  Constant Field Values

### COLOR_I_BLACK

    public static final int COLOR_I_BLACK

See Also:
  Constant Field Values

### COLOR_I_RED

    public static final int COLOR_I_RED

See Also:
  Constant Field Values

### COLOR_I_GREEN

    public static final int COLOR_I_GREEN

See Also:
  Constant Field Values

### COLOR_I_YELLOW

    public static final int COLOR_I_YELLOW

See Also:
  Constant Field Values

### COLOR_I_BLUE

    public static final int COLOR_I_BLUE

See Also:
  Constant Field Values

### COLOR_I_MAGENTA

    public static final int COLOR_I_MAGENTA

See Also:
  Constant Field Values

### COLOR_I_CYAN

    public static final int COLOR_I_CYAN

See Also:
  Constant Field Values

### COLOR_I_WHITE

    public static final int COLOR_I_WHITE

See Also:
  Constant Field Values

### termColorNames

    public static final java.lang.String[] termColorNames

### termColors

    public static final java.awt.Color[] termColors

Method Detail

### setModel

    public void setModel(DisplayModel model)

### getModel

    public DisplayModel getModel()

### setController

    public void setController(com.mindbright.terminal.DisplayController controller)

### setKeyListener

    public void setKeyListener(java.awt.event.KeyListener keyListener)

### delKeyListener

    public void delKeyListener(java.awt.event.KeyListener keyListener)

### setVisTopChangeAllowed

    public void setVisTopChangeAllowed(boolean set)

### setVisTopDelta

    public void setVisTopDelta(int delta)

### setVisTopDelta

    public void setVisTopDelta(int delta,
                               boolean force)

### setVisTop

    public void setVisTop(int visTop)

### setVisTop

    public void setVisTop(int visTop,
                          boolean force)

### setPendingVisTopChange

    public void setPendingVisTopChange(int visTop)

### updateScrollbarValues

    public void updateScrollbarValues()

### updateDirtyArea

    public void updateDirtyArea(int top,
                                int left,
                                int bottom,
                                int right)

### repaint

    public void repaint(boolean force)

### repaint

    public void repaint()

### setGeometry

    public void setGeometry(int row,
                            int col)

### resetSelection

    public void resetSelection()

### setSelection

    public void setSelection(int row1,
                             int col1,
                             int row2,
                             int col2)

### setNoCursor

    public void setNoCursor()

### setCursorPosition

    public void setCursorPosition(int row,
                                  int col)

### reverseColors

    public void reverseColors()

### doBell

    public void doBell()

### doBell

    public void doBell(boolean visualBell)

### setLogo

    public void setLogo(java.awt.Image logoImg,
                        int x,
                        int y,
                        int w,
                        int h)

### getLogo

    public java.awt.Image getLogo()

### showLogo

    public boolean showLogo()

### hideLogo

    public void hideLogo()

### moveScrollbar

    public void moveScrollbar(java.lang.String scrollPos)

### setLineSpaceDelta

    public void setLineSpaceDelta(int delta)

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color c)

### setForegroundColor

    public void setForegroundColor(java.awt.Color c)

### setCursorColor

    public void setCursorColor(java.awt.Color c)

### setFont

    public void setFont(java.lang.String name,
                        int size)

### setPosition

    public void setPosition(int xPos,
                            int yPos)

### getPanelWithScrollbar

    public java.awt.Container getPanelWithScrollbar(java.lang.String scrollPos)

### requestFocus

    public void requestFocus()

### emulateComponentShown

    public void emulateComponentShown()

### getAWTComponent

    public java.awt.Component getAWTComponent()

### setIgnoreClose

    public void setIgnoreClose()

### windowClosed

    public void windowClosed()

### mkButton

    public java.awt.Component mkButton(java.lang.String label,
                                       java.lang.String cmd,
                                       java.awt.event.ActionListener listener)

### isWide

    public boolean isWide(char c)

  Check if the give character is wider than normal for the font. This is meant to catch certain asian characters which are double-width, even in a monospaced font:-(

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD